package DE_EPAGES::WebService::Samples::Server::HelloService;
use base DE_EPAGES::WebService::API::WebService::BaseService;

use strict;

sub hello {
    shift;
    return 'Hello';
}

sub echo {
    shift;
    return @_;
}

sub serverTime {
    return scalar localtime;
}

sub protected {
    shift;
    return 'Protected';
}

sub CheckPermission {
    shift;
    my ($WebService, $Method, $Login, $Password) = @_;

    return 1 if $Method->get('Alias') ne 'protected';
    return 0 unless defined $Login && defined $Password;
    return 1 if $Login eq 'wolo' && $Password eq 'geheim';
    return 0;
}

1;
